/*GENERAL*/

* {
	-webkit-transition: all 150ms ease-out;
	-o-transition: all 150ms ease-out;
	transition: all 150ms ease-out;
}

html {
	--bg00: oklch(22.5% 0.07 280 / 1);
	--bg0: oklch(27.5% 0.07 280 / 1);
	--bg0a0: oklch(27.5% 0.07 280 / 0);
	--bg0a4: oklch(27.5% 0.07 280 / .4);
	--bg0a8: oklch(27.5% 0.07 280 / .8);
	--bg1: oklch(47.5% 0.07 280 / 1);
	--fg0: oklch(77.5% 0.07 280 / 1);
	--fg1: oklch(97.5% 0.07 280 / 1);
	--emphasis: oklch(89% 0.37 110 / 1);
	--128: 128px;
	--96: 96px;
	--80: 80px;
	--64: 64px;
	--48: 48px;
	--40: 40px;
	--32: 32px;
	--24: 24px;
	--16: 16px;
	margin: 0;
	width: 100dvw;
	padding: 0;
	background-image: url("assets/neurons.svg");
	background-attachment: fixed;
	background-position: bottom;
	background-size: 100% auto;
	background-repeat: no-repeat;
	background-color: var(--bg0);
	color: var(--fg0);
	font-family: 'Rubik', sans-serif;
	font-size: var(--32);
	font-weight: normal;
	font-style: normal;
	text-wrap: pretty;
	-webkit-user-select: none;
	   -moz-user-select: none;
	    -ms-user-select: none;
	        user-select: none;
	overflow-X: hidden;
	overflow-Y: scroll;
	scroll-behavior: smooth;
	-ms-scroll-snap-type: y mandatory;
	    scroll-snap-type: y mandatory;
}

html::-webkit-scrollbar {
	width: 0;
	height: 0;
}

html::-webkit-scrollbar-thumb {
	border-radius: 999px;
	background: var(--bg1);
}

ul, 
ol {
	margin: var(--16) 0 0 0;
}

section {
	position: relative;
	float: right;
	/*desired width - total horizontal padding*/
	width: min(calc(80dvw - 20dvh), 2560px);
	height: 80dvh;
	padding: 10dvh;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	    -ms-flex-direction: column;
	        flex-direction: column;
	-webkit-box-pack: center;
	    -ms-flex-pack: center;
	        justify-content: center;
	overflow: hidden;
	scroll-snap-align: start;
}

/*NAV*/

nav {
	position: fixed;
	top:0;
	left: 0;
	z-index: 99;
	/*opposite of section width - total horizontal padding*/
	width: min(calc(20dvw - 20dvh), 360px);
	height: 100dvh;
	padding: 0 10dvh;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	    -ms-flex-align: center;
	        align-items: center;
}

.nav-list {
	margin: 0;
	padding: 0;
	list-style-type: none;
}

.nav-item {
	margin: var(--16) 0;
	cursor: pointer;
}

.nav-item:hover {
	color: var(--fg1);
}

.nav-item:active {
	color: var(--emphasis);
}

.nav-item.active {
	color: var(--emphasis);
	font-weight: bold;
}

#nav-button {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 999;
	width: 48px;
	height: 48px;
	border-radius: 3px 3px 8px 3px;
	background-color: var(--bg0a4);
	fill: var(--bg1);
	-webkit-filter: drop-shadow(4px 4px 4px var(--bg00));
	        filter: drop-shadow(4px 4px 4px var(--bg00));
	-webkit-backdrop-filter: blur(8px);
	        backdrop-filter: blur(8px);
	cursor: pointer;
	opacity: 0;
	pointer-events: none;
}

#nav-button:hover {
	background-color: var(--bg1);
	fill: var(--bg0);
}

#nav-button > path {
	-webkit-transform-origin: center;
	    -ms-transform-origin: center;
	        transform-origin: center;
}

/*CONTACT*/

.contact {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 99;
	margin: calc(95dvh - 100px) 5dvh 5dvh;
	display: -ms-grid;
	display: grid;
	-ms-grid-columns: var(--40) calc(var(--40) / 2) var(--40) calc(var(--40) / 2) var(--40) calc(var(--40) / 2) var(--40) calc(var(--40) / 2) var(--40);
	grid-template-columns: var(--40) var(--40) var(--40) var(--40) var(--40);
	-ms-grid-rows: var(--40) calc(var(--40) / 2) var(--40);
	grid-template-rows: var(--40) var(--40); 
	gap: calc(var(--40) / 2);
	-webkit-transition: all 375ms ease, -webkit-transform 375ms ease 75ms;
	transition: all 375ms ease, -webkit-transform 375ms ease 75ms;
	-o-transition: all 375ms ease, transform 375ms ease 75ms;
	transition: all 375ms ease, transform 375ms ease 75ms;
	transition: all 375ms ease, transform 375ms ease 75ms, -webkit-transform 375ms ease 75ms;
}

.contact > *:nth-child(1) {
	-ms-grid-row: 1;
	-ms-grid-column: 1;
}

.contact > *:nth-child(2) {
	-ms-grid-row: 1;
	-ms-grid-column: 3;
}

.contact > *:nth-child(3) {
	-ms-grid-row: 1;
	-ms-grid-column: 5;
}

.contact > *:nth-child(4) {
	-ms-grid-row: 1;
	-ms-grid-column: 7;
}

.contact > *:nth-child(5) {
	-ms-grid-row: 1;
	-ms-grid-column: 9;
}

.contact > *:nth-child(6) {
	-ms-grid-row: 3;
	-ms-grid-column: 1;
}

.contact > *:nth-child(7) {
	-ms-grid-row: 3;
	-ms-grid-column: 3;
}

.contact > *:nth-child(8) {
	-ms-grid-row: 3;
	-ms-grid-column: 5;
}

.contact > *:nth-child(9) {
	-ms-grid-row: 3;
	-ms-grid-column: 7;
}

.contact > *:nth-child(10) {
	-ms-grid-row: 3;
	-ms-grid-column: 9;
}

.contact.shift {
	margin: calc(95dvh - 40px) 5dvh 5dvh;
}

.contact.active {
	margin: 0;
	padding: calc(50dvh - (var(--80) * 1.25)) calc(50dvw - (var(--80) * 3.5));
	-ms-grid-columns: var(--80) calc(var(--80) / 2) var(--80) calc(var(--80) / 2) var(--80) calc(var(--80) / 2) var(--80) calc(var(--80) / 2) var(--80);
	grid-template-columns: var(--80) var(--80) var(--80) var(--80) var(--80);
	-ms-grid-rows: var(--80) calc(var(--80) / 2) var(--80);
	grid-template-rows: var(--80) var(--80);
	gap: calc(var(--80) / 2);
}

.contact.active > *:nth-child(1) {
	-ms-grid-row: 1;
	-ms-grid-column: 1;
}

.contact.active > *:nth-child(2) {
	-ms-grid-row: 1;
	-ms-grid-column: 3;
}

.contact.active > *:nth-child(3) {
	-ms-grid-row: 1;
	-ms-grid-column: 5;
}

.contact.active > *:nth-child(4) {
	-ms-grid-row: 1;
	-ms-grid-column: 7;
}

.contact.active > *:nth-child(5) {
	-ms-grid-row: 1;
	-ms-grid-column: 9;
}

.contact.active > *:nth-child(6) {
	-ms-grid-row: 3;
	-ms-grid-column: 1;
}

.contact.active > *:nth-child(7) {
	-ms-grid-row: 3;
	-ms-grid-column: 3;
}

.contact.active > *:nth-child(8) {
	-ms-grid-row: 3;
	-ms-grid-column: 5;
}

.contact.active > *:nth-child(9) {
	-ms-grid-row: 3;
	-ms-grid-column: 7;
}

.contact.active > *:nth-child(10) {
	-ms-grid-row: 3;
	-ms-grid-column: 9;
}

.ctc-button {
	z-index: 999;
	width: var(--40);
	height: var(--40);
	fill: var(--fg0);
	cursor: pointer;
	-webkit-transition: width 375ms ease, height 375ms ease, fill 75ms ease-out;
	-o-transition: width 375ms ease, height 375ms ease, fill 75ms ease-out;
	transition: width 375ms ease, height 375ms ease, fill 75ms ease-out;
}

.ctc-button > * {
	fill: var(--fg0);
}

.ctc-button.active {
	width: var(--80);
	height: var(--80);
}

.ctc-button:hover, 
.ctc-button:hover > * {
	fill: var(--fg1);
}

.ctc-button:active {
	fill: var(--emphasis);
}

.ctc-signature {
	font-size: var(--40);
	letter-spacing: 10px;
	-webkit-transition: all 450ms ease;
	-o-transition: all 450ms ease;
	transition: all 450ms ease;
}

.ctc-signature.active {
	font-size: var(--64);
	letter-spacing: 20px;
}

.ctc-tooltip {
	position: fixed;
	-webkit-transform: translateX(-50%);
	    -ms-transform: translateX(-50%);
	        transform: translateX(-50%);
	text-align: center;
	padding: 8px 16px;
	border-radius: 8px;
	background: var(--fg1);
	color: var(--bg0);
	font-size: var(--16);
	font-weight: bold;
	opacity: .8;
	-webkit-backdrop-filter: blur(16px);
	        backdrop-filter: blur(16px);
	pointer-events: none;
	-webkit-transition: all 150ms ease-out, top 0ms, left 0ms;
	-o-transition: all 150ms ease-out, top 0ms, left 0ms;
	transition: all 150ms ease-out, top 0ms, left 0ms;
}

.ctc-tooltip:before {
	position: absolute;
	top: 100%;
	left: 50%;
	-webkit-transform: translateX(-50%);
	    -ms-transform: translateX(-50%);
	        transform: translateX(-50%);
	border-top: 8px solid var(--fg1);
	border-right: 8px solid transparent;
	border-left: 8px solid transparent;
	-webkit-backdrop-filter: blur(16px);
	        backdrop-filter: blur(16px);
	content: '';
}

/*HERO*/

.hero {
	top: -10px;
	right: -10px;
	width: calc(100dvw + 10px);
	height: calc(100dvh + 10px);
	padding: 0;
}

.hro-overlay {
	position: absolute;
	top: 0;
	right: 0;
	min-width: 100%;
	min-height: 100%;
	background: -webkit-gradient(linear, left top, left bottom, color-stop(90%, var(--bg0a4)), to(var(--bg0a0)));
	background: -o-linear-gradient(var(--bg0a4) 90%, var(--bg0a0) 100%);
	background: linear-gradient(var(--bg0a4) 90%, var(--bg0a0) 100%);
}

.hro-overlay.alt {
	background: -webkit-gradient(linear, left top, left bottom, color-stop(90%, var(--bg0a8)), to(var(--bg0a4)));
	background: -o-linear-gradient(var(--bg0a8) 90%, var(--bg0a4) 100%);
	background: linear-gradient(var(--bg0a8) 90%, var(--bg0a4) 100%);
}

.hro-background {
	position: absolute;
	top: 0;
	right: 0;
	min-width: 100%;
	min-height: 100%;
	background: url("assets/hero.png");
	background-position: top right;
	background-size: cover;
	-webkit-filter: grayscale(1);
	        filter: grayscale(1);
	-webkit-mask-image: -webkit-linear-gradient(var(--bg0) 90%, var(--bg0a0) 100%);
}

.hro-content {
	position: absolute;
	bottom: 0;
	left: 0;
	z-index: 9;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	    -ms-flex-direction: column;
	        flex-direction: column;
	-webkit-box-pack: end;
	    -ms-flex-pack: end;
	        justify-content: flex-end;
	-webkit-box-align: end;
	    -ms-flex-align: end;
	        align-items: flex-end;
	text-align: right;
	padding: 10dvh 10dvw;
	color: var(--fg1);
}

.hro-content.alt {
	top: 0;
	width: 80dvw;
	-webkit-box-pack: center;
	    -ms-flex-pack: center;
	        justify-content: center;
	gap: var(--32);
}

.hro-text {
	font-size: var(--128);
	font-style: italic;
}

.hro-text.emphasis:hover {
	-webkit-transform: translateX(calc(0px - var(--16)));
	    -ms-transform: translateX(calc(0px - var(--16)));
	        transform: translateX(calc(0px - var(--16)));
	cursor: pointer;
}

.hro-arrow {
	margin: var(--16) 0;
	height: var(--128);
	fill: var(--emphasis);
}

.hro-arrow:hover {
	-webkit-transform: translateY(calc(var(--16) + 0px));
	    -ms-transform: translateY(calc(var(--16) + 0px));
	        transform: translateY(calc(var(--16) + 0px));
	cursor: pointer;
}

/*PORTFOLIO*/

.portfolio {
	-webkit-box-pack: justify;
	    -ms-flex-pack: justify;
	        justify-content: space-between;
	gap: 5dvh;
}

.prt-row {
	-webkit-box-flex: 1;
	    -ms-flex: 1 1 0px;
	        flex: 1 1 0px;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-pack: justify;
	    -ms-flex-pack: justify;
	        justify-content: space-between;
	gap: 5dvh;
}

.prt-project {
	-webkit-box-flex: 1;
	    -ms-flex: 1 1 0px;
	        flex: 1 1 0px;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-pack: center;
	    -ms-flex-pack: center;
	        justify-content: center;
	-webkit-box-align: center;
	    -ms-flex-align: center;
	        align-items: center;
	min-height: 192px;
	padding: var(--16);
	background: var(--bg00);
	border-radius: 13px;
	border-width: 16px;
	border-style: solid;
	-o-border-image: url("assets/border-transparent.svg") 16 round;
	   border-image: url("assets/border-transparent.svg") 16 round;
	border-color: var(--bg0a0);
	cursor: pointer;
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
}

.prt-project:hover {
	-o-border-image: url("assets/border-emphasis.svg") 16 round;
	   border-image: url("assets/border-emphasis.svg") 16 round;
}

.prt-project#apex {
	background-color: #E5E5EB;
	background-image: url("assets/arc.png");
}

.prt-project#tinyhome {
	background-image: url("assets/home.png");
	background-repeat: repeat;
}

.prt-project#dodgeballz {
	background-size: contain;
	background-image: url("assets/throwanimation.gif");
}

.prt-project#thiswebsite {
	background-size: contain;
	background-image: url("assets/thiswebsite.png");
}

.locked {
	-o-border-image: url("assets/border-fg0.svg") 16 round;
	   border-image: url("assets/border-fg0.svg") 16 round;
}

.locked > svg {
	-webkit-box-flex: 1;
	    -ms-flex: 1 1 0px;
	        flex: 1 1 0px;
	fill: none;
	stroke: var(--fg0);
	stroke-width: 8;
	stroke-linecap: round;
	stroke-linejoin: round;
	stroke-miterlimit: 4;
	overflow: visible;
	-webkit-transition: all 150ms ease-out;
	-o-transition: all 150ms ease-out;
	transition: all 150ms ease-out;
}

#lock {
	height: var(--128);
}

#lock-arm {
	-webkit-transform-origin: calc(68/72*100%) calc(52/56*100%);
	    -ms-transform-origin: calc(68/72*100%) calc(52/56*100%);
	        transform-origin: calc(68/72*100%) calc(52/56*100%);
}

#lock-body {
	-webkit-transform: translate(5.4570465px, 7.7387373px);
	    -ms-transform: translate(5.4570465px, 7.7387373px);
	        transform: translate(5.4570465px, 7.7387373px);
	-webkit-transform-origin: calc(88/112*100%) calc(4/80*100%);
	    -ms-transform-origin: calc(88/112*100%) calc(4/80*100%);
	        transform-origin: calc(88/112*100%) calc(4/80*100%);
}

#keyhole-tumbler {
	stroke-width: 16;
}

.locked:hover {
	background: none;
}

.locked:hover > #lock-arm {
	-webkit-transform: rotate(15deg);
	    -ms-transform: rotate(15deg);
	        transform: rotate(15deg);
	stroke: var(--emphasis);
}

.locked:hover > #lock-body {
	-webkit-transform: translate(5.4570465px, 7.7387373px) rotate(-15deg);
	    -ms-transform: translate(5.4570465px, 7.7387373px) rotate(-15deg);
	        transform: translate(5.4570465px, 7.7387373px) rotate(-15deg);
	stroke: var(--emphasis);
}

/*HIGHLIGHTS*/

.highlights {
	gap: var(--64);
}

.hlt-bullet {
	font-size: var(--64);
}

.hlt-number {
	color: var(--fg1);
	font-size: var(--96);
	font-weight: bold;
}

.hlt-text {
	color: var(--fg1);
}

/*EXPERIENCE*/

.experience {
	gap: var(--32);
}

.exp-div {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	    -ms-flex-direction: column;
	        flex-direction: column;
	gap: var(--16);
}

.exp-position {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-pack: justify;
	    -ms-flex-pack: justify;
	        justify-content: space-between;
	width: 100%;
}

.exp-company {
	color: var(--fg1);
	font-size: var(--64);
	font-weight: bold;
}

.exp-title {
	color: var(--fg1);
	font-size: var(--40);
}

.exp-month, 
.exp-year {
	font-family: 'Ubuntu Mono', monospace;
	font-size: var(--40);
}

.exp-year {
	color: var(--fg1);
}

/*SKILLS*/

.skills {
	gap: var(--48);
	font-size: var(--48);
}

.skills > span:first-child {
	color: var(--fg1);
}

/*PHILOSOPHY*/

.philosophy {
	gap: var(--32);
}

.philosophy > span:first-child {
	color: var(--fg1);
	font-size: var(--48);
}

/*BACK*/

.back {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 99;
	margin: 5dvh 5dvh;
	color: var(--fg0);
	fill: var(--fg0);
	cursor: pointer;
}

.back > svg {
	width: var(--48);
	fill: var(--fg0);
}

.back:hover, 
.back:hover > svg {
	color: var(--fg1);
	fill: var(--fg1);
}

/*SCALABILITY*/

@media screen and (max-width: 1920px) {

	html {
		--128: 112px;
		--96: 88px;
		--80: 72px;
		--64: 56px;
		--48: 44px;
		--40: 36px;
		--32: 28px;
		--24: 20px;
		--16: 12px;
	}

}

@media screen and (max-width: 1280px) {

	section {
		width: 80dvw;
		padding: 10dvw;
	}

	nav {
		-webkit-transform: translateX(-120dvw);
		    -ms-transform: translateX(-120dvw);
		        transform: translateX(-120dvw);
		width: 80dvw;
		background-color: var(--bg0a8);
		-webkit-backdrop-filter: blur(4px);
		        backdrop-filter: blur(4px);
		-webkit-transition: all 375ms ease;
		-o-transition: all 375ms ease;
		transition: all 375ms ease;
	}

	#nav-button {
		opacity: 1;
		pointer-events: auto;
	}
	
	#nav-button.hide {
		opacity: 0;
		pointer-events: none;
	}
	
	.contact {
		-webkit-transform: translateX(-100dvw);
		    -ms-transform: translateX(-100dvw);
		        transform: translateX(-100dvw);
	}

	.contact.active, 
	.mobile-show {
		-webkit-transform: translateX(0);
		    -ms-transform: translateX(0);
		        transform: translateX(0);
		-webkit-transition: -webkit-transform 375ms ease;
		transition: -webkit-transform 375ms ease;
		-o-transition: transform 375ms ease;
		transition: transform 375ms ease;
		transition: transform 375ms ease, -webkit-transform 375ms ease;
	}

	.contact.active {
		padding: calc(50dvh - (var(--48) * 1.25)) calc(50dvw - (var(--48) * 3.5));
		-ms-grid-columns: var(--48) calc(var(--48) / 2) var(--48) calc(var(--48) / 2) var(--48) calc(var(--48) / 2) var(--48) calc(var(--48) / 2) var(--48);
		grid-template-columns: var(--48) var(--48) var(--48) var(--48) var(--48);
		-ms-grid-rows: var(--48) calc(var(--48) / 2) var(--48);
		grid-template-rows: var(--48) var(--48);
		gap: calc(var(--48) / 2);
	}

	.contact.active > *:nth-child(1) {
		-ms-grid-row: 1;
		-ms-grid-column: 1;
	}

	.contact.active > *:nth-child(2) {
		-ms-grid-row: 1;
		-ms-grid-column: 3;
	}

	.contact.active > *:nth-child(3) {
		-ms-grid-row: 1;
		-ms-grid-column: 5;
	}

	.contact.active > *:nth-child(4) {
		-ms-grid-row: 1;
		-ms-grid-column: 7;
	}

	.contact.active > *:nth-child(5) {
		-ms-grid-row: 1;
		-ms-grid-column: 9;
	}

	.contact.active > *:nth-child(6) {
		-ms-grid-row: 3;
		-ms-grid-column: 1;
	}

	.contact.active > *:nth-child(7) {
		-ms-grid-row: 3;
		-ms-grid-column: 3;
	}

	.contact.active > *:nth-child(8) {
		-ms-grid-row: 3;
		-ms-grid-column: 5;
	}

	.contact.active > *:nth-child(9) {
		-ms-grid-row: 3;
		-ms-grid-column: 7;
	}

	.contact.active > *:nth-child(10) {
		-ms-grid-row: 3;
		-ms-grid-column: 9;
	}

	.contact.active > .ctc-button {
		width: var(--48);
		height: var(--48);
	}

	.ctc-signature, 
	.ctc-tooltip {
		display: none;
	}

	.footer {
		min-height: 80dvh;
	}
	
	.back {
		display: none;
	}

}

@media screen and (max-width: 720px) {

	html {
		background-size: auto 100%;
		-ms-scroll-snap-type: none;
		    scroll-snap-type: none;
	}

	section {
		height: auto;
	}
	
	.hro-background {
		background: url("assets/hero-small.png");
		background-position: top center;
	}
	
	.hro-text {
		font-size: var(--64);
	}
	
	.hro-arrow {
		height: var(--64);
	}

	.prt-row {
		-webkit-box-orient: vertical;
		-webkit-box-direction: normal;
		    -ms-flex-direction: column;
		        flex-direction: column;
	}

}

/*OVERRIDES*/

a {
	font-weight: bold !important;
	font-style: italic !important;
	color: var(--emphasis) !important;
	text-decoration: none !important;
}

.hlt {
	color: var(--fg1) !important;
}

.qt {
	color: var(--fg1) !important;
	font-weight: bold !important;
	font-style: italic !important;
}

.emphasis {
	color: var(--emphasis) !important;
	font-weight: bold !important;
	font-style: italic !important;
}

.hide {
	z-index: 0 !important;
	opacity: 0 !important;
}